### Method

# Aravis GcString get_value

#### Declaration [src]

    const char*
    arv_gc_string_get_value (
      ArvGcString* gc_string
      GError** error
    )

#### Description [src]

<warning><para>Please note the string content is still owned by the `gc_string` object, which means the returned pointer may not be still valid after a new call to this function.</para></warning>.

#### Return value

Type: `const char*`

The string value.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.